PETSc version 3.15.5
Fix/Edit manual page

# SNESLineSearchMonitorSolutionUpdate

Monitors each update a new function value the linesearch tries

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchMonitorSolutionUpdate(SNESLineSearch ls,PetscViewerAndFormat *vf)

Collective on SNESLineSearch

### Input Parameters

| ls | - the SNES linesearch object
| vf | - the context for the monitor, in this case it is an ASCII PetscViewer and format

### See Also

SNESGetLineSearch(), SNESMonitorSet(), SNESMonitorSolution()

### Level

intermediate

### Location

src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages